# 經紀商持倉

`GET` `/v1/quote/broker-holding`

:::warning 僅支援 Longbridge 香港 / 新加坡賬戶
此方法僅支援 Longbridge 香港 / 新加坡賬戶，可查詢任意標的，包括美股。
:::

查看港股券商持倉情況，包含主要買賣方和詳細持倉列表。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 標的代碼，如 `700.HK`。 |
| `type` | string | Yes | 統計週期：`rct_1`（1 日）、`rct_5`（5 日）、`rct_20`（20 日）、`rct_60`（60 日）。 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/broker-holding?symbol=<symbol>&type=<type>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `buy` | object[] | No | 淨買入經紀商列表， |
| `└ name` | string | No | 經紀商名稱 |
| `└ parti_number` | string | No | 經紀商參與者編號 |
| `└ chg` | string | No | 持倉變動 |
| `└ strong` | boolean | No | 是否為主要持倉者 |
| `sell` | object[] | No | 淨賣出經紀商列表， |
| `└ name` | string | No | 經紀商名稱 |
| `└ parti_number` | string | No | 經紀商參與者編號 |
| `└ chg` | string | No | 持倉變動 |
| `└ strong` | boolean | No | 是否為主要持倉者 |
| `updated_at` | string | No | 最後更新時間 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "buy": [
      {
        "parti_number": "B01224",
        "name": "HSBC",
        "chg": "5000000",
        "strong": true
      }
    ],
    "sell": [
      {
        "parti_number": "B01274",
        "name": "Goldman Sachs HK",
        "chg": "-3000000",
        "strong": false
      }
    ],
    "updated_at": "2026.05.13"
  }
}
```
